import greenfoot.*;

/**
 * Sky. Something for rockets to fly in.

 * @author Michael Kölling
 * @version 1.0
 */
public class Sky extends World
{
    private Counter scoreCounter;
    private int startJet2s = 3;

    /**
     * Create the Sky and all objects within it.
     */
    public Sky() 
    {
        super(600, 500, 1);
        //code that creates the black background below (9.6)
        // GreenfootImage background = getBackground();
        // background.setColor(Color.BLACK);
        // background.fill();
        //when you remove this code, the background of your game should turn to white. 
        //Don't forget to add the code bakc in (9.7)

        Jet1 rocket = new Jet1();
        addObject(rocket, getWidth()/2 + 100, getHeight()/2);

        addJet2s(startJet2s);

        scoreCounter = new Counter("Score: ");
        //addObject(scoreCounter, 60, 480);

        Explosion.initializeImages();
        ProtonWave.initializeImages();

        //createStars(300);
    }

    /**
     * Add a given number of Jet2s to our world. Jet2s are only added into
     * the left half of the world.
     */
    private void addJet2s(int count) 
    {
        for(int i = 0; i < count; i++) 
        {
            int x = Greenfoot.getRandomNumber(getWidth()/2);
            int y = Greenfoot.getRandomNumber(getHeight()/2);
            addObject(new Jet2(), x, y);
        }
    }

    /**
     * This method is called when the game is over to display the final score.
     */
    public void gameOver() 
    {
        addObject(new ScoreBoard(), getWidth()/2, getHeight()/2);
    }

    public void createStars(int number) //this is the createStars method. should be empty when done with this exercise(9.10)
    // adds stars randomly into the game
    // comment above describes what the method is used for (9.11)
    {
        GreenfootImage background = getBackground();
        background.setColor(Color.BLACK);
        background.fill();
        for (int i = 0; i < number; i++)
        {
            int x = Greenfoot.getRandomNumber (getWidth());
            int y = Greenfoot.getRandomNumber(getHeight());
            int color = 120 - Greenfoot.getRandomNumber(100);
            background.setColor(new Color(color,color,color));
            background.fillOval(x, y, 2, 2);
        }

    }
}